Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
file.h File Reference
`#include <fcntl.h>`

Go to the source code of this file.

## Macros
#define | L_SET 0 /* seek from beginning. */
#define | L_CURR 1 /* seek from current position. */
#define | L_INCR 1 /* ditto. */
#define | L_XTND 2 /* seek from end. */
#define | R_OK 4 /* test whether readable. */
#define | W_OK 2 /* test whether writable. */
#define | X_OK 1 /* test whether executable. */
#define | F_OK 0 /* test whether exist. */

## Macro Definition Documentation

## ◆ F_OK

#define F_OK 0 /* test whether exist. */

Definition at line 19 of file file.h.

## ◆ L_CURR

#define L_CURR 1 /* seek from current position. */

Definition at line 10 of file file.h.

## ◆ L_INCR

#define L_INCR 1 /* ditto. */

Definition at line 11 of file file.h.

## ◆ L_SET

#define L_SET 0 /* seek from beginning. */

Definition at line 9 of file file.h.

## ◆ L_XTND

#define L_XTND 2 /* seek from end. */

Definition at line 12 of file file.h.

## ◆ R_OK

#define R_OK 4 /* test whether readable. */

Definition at line 16 of file file.h.

## ◆ W_OK

#define W_OK 2 /* test whether writable. */

Definition at line 17 of file file.h.

## ◆ X_OK

#define X_OK 1 /* test whether executable. */

Definition at line 18 of file file.h.